Angular Chart - margin
Generates space around the widget.
Type:
jQuery
index.js
$(function() { $("#chartContainer").dxChart({ // ... margin: { top: 20, bottom: 20, left: 30, right: 30 } }); });
Angular
app.component.html
app.component.ts
app.module.ts
<dx-chart ... > <dxo-margin [top]="20" [bottom]="20" [left]="30" [right]="30"> </dxo-margin> </dx-chart>
import { Component } from '@angular/core'; @Component({ selector: 'app-root', templateUrl: './app.component.html', styleUrls: ['./app.component.css'] }) export class AppComponent { // ... }
import { BrowserModule } from '@angular/platform-browser'; import { NgModule } from '@angular/core'; import { AppComponent } from './app.component'; import { DxChartModule } from 'devextreme-angular'; @NgModule({ declarations: [ AppComponent ], imports: [ BrowserModule, DxChartModule ], providers: [ ], bootstrap: [AppComponent] }) export class AppModule { }
Vue
App.vue
<template> <DxChart ... > <DxMargin :top="20" :bottom="20" :left="30" :right="30" /> </DxChart> </template> <script> import 'devextreme/dist/css/dx.common.css'; import 'devextreme/dist/css/dx.light.css'; import DxChart, { DxMargin } from 'devextreme-vue/chart'; export default { components: { DxChart, DxMargin }, // ... } </script>
React
App.js
import React from 'react'; import 'devextreme/dist/css/dx.common.css'; import 'devextreme/dist/css/dx.light.css'; import Chart, { Margin } from 'devextreme-react/chart'; class App extends React.Component { render() { return ( <Chart ... > <Margin top={20} bottom={20} left={30} right={30} /> </Chart> ); } } export default App;
Feel free to share topic-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Vue Chart - margin

Generates space around the widget.

Type:

Object

WidgetMargin DevExtreme ChartJS

App.vue
  • <template>
  • <DxChart ... >
  • <DxMargin
  • :top="20"
  • :bottom="20"
  • :left="30"
  • :right="30"
  • />
  • </DxChart>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import DxChart, {
  • DxMargin
  • } from 'devextreme-vue/chart';
  •  
  • export default {
  • components: {
  • DxChart,
  • DxMargin
  • },
  • // ...
  • }
  • </script>

bottom

Specifies the bottom margin of the widget in pixels.

Type:

Number

Default Value: 0

left

Specifies the left margin of the widget in pixels.

Type:

Number

Default Value: 0

right

Specifies the right margin of the widget in pixels.

Type:

Number

Default Value: 0

top

Specifies the top margin of the widget in pixels.

Type:

Number

Default Value: 0